Loading...
Searching...
No Matches
L4::Ipc::Msg_ptr< T > Class Template Reference

Pointer to an element of type T in an Ipc::Istream. More...

`#include <ipc_stream>`

Collaboration diagram for L4::Ipc::Msg_ptr< T >:

## Public Member Functions

| Msg_ptr (T *&p)
| Create a Msg_ptr object that set pointer p to point into the message buffer.

## Detailed Description

template<typename T>
class L4::Ipc::Msg_ptr< T >

Pointer to an element of type T in an Ipc::Istream.

This wrapper can be used to extract an element of type T from an Ipc::Istream, whereas the data is not copied out, but a pointer into the message buffer itself is returned. With is mechanism it is possible to avoid an extra copy of large data structures from a received IPC message, instead the returned pointer gives direct access to the data in the message.

See msg_ptr().

Definition at line 229 of file ipc_stream.

## Constructor & Destructor Documentation

## Msg_ptr()

template<typename T>

L4::Ipc::Msg_ptr< T >::Msg_ptr | ( | T *& | p | ) |

inlineexplicit

Create a Msg_ptr object that set pointer p to point into the message buffer.

Parameters

  p | The pointer that is adjusted to point into the message buffer.

Definition at line 240 of file ipc_stream.

The documentation for this class was generated from the following file:

- l4/cxx/ipc_stream